Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023228
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-03-05 10:462013-04-03 12:52
ReporterjecharriView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionfixedFixed in VersionRMP21
StatusclosedFix in branchpiFixed in SCM revision705f1d9ec836
ProjectionnoneETAnoneTarget VersionRMP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP19.2SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023228: Products that are inactive are still synchronized in Web POS

DescriptionProducts that are inactive are still synchronized in Web POS
Steps To Reproduce-Inactive a product in the backend.

-Login and logout in the Web POS

-you will see that the product is still there.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0057146)
hgbot (developer)
2013-03-07 17:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 705f1d9ec836cdb8641249899a3b9266cf45b881
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Mar 07 17:13:23 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/705f1d9ec836cdb8641249899a3b9266cf45b881 [^]

Fixed issue 23228: Inactive products are not shown

---
M src/org/openbravo/retail/posterminal/master/Product.java
---
(0057164)
guilleaer (developer)
2013-03-08 20:21

Product category also should take into account "active" flag of the products. Without checking it in the categories query we can show a category without any product, because category is downloaded but not the product.
(0057173)
hgbot (developer)
2013-03-11 10:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9c054226c2744e3af17247369e821d8764e131e7
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Mar 11 10:58:30 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c054226c2744e3af17247369e821d8764e131e7 [^]

Related to issue 23228: Filter by Active product category

---
M src/org/openbravo/retail/posterminal/master/Category.java
---
(0057287)
hgbot (developer)
2013-03-18 09:37

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8cd4549e13ba52c969777c142b4cdeebc890678e
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Mar 18 09:37:09 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8cd4549e13ba52c969777c142b4cdeebc890678e [^]

Related to issue 23228: Do not show categories with inactive products

---
M src/org/openbravo/retail/posterminal/master/Category.java
---
(0057289)
guilleaer (developer)
2013-03-18 10:01

verified
(0057673)
hgbot (developer)
2013-04-02 20:11

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 705f1d9ec836cdb8641249899a3b9266cf45b881
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Mar 07 17:13:23 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/705f1d9ec836cdb8641249899a3b9266cf45b881 [^]

Fixed issue 23228: Inactive products are not shown

---
M src/org/openbravo/retail/posterminal/master/Product.java
---
(0057676)
hgbot (developer)
2013-04-02 20:11

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 9c054226c2744e3af17247369e821d8764e131e7
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Mar 11 10:58:30 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/9c054226c2744e3af17247369e821d8764e131e7 [^]

Related to issue 23228: Filter by Active product category

---
M src/org/openbravo/retail/posterminal/master/Category.java
---
(0057685)
hgbot (developer)
2013-04-02 20:12

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 8cd4549e13ba52c969777c142b4cdeebc890678e
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Mar 18 09:37:09 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/8cd4549e13ba52c969777c142b4cdeebc890678e [^]

Related to issue 23228: Do not show categories with inactive products

---
M src/org/openbravo/retail/posterminal/master/Category.java
---

- Issue History
Date Modified Username Field Change
2013-03-05 10:46 jecharri New Issue
2013-03-05 10:46 jecharri Assigned To => marvintm
2013-03-07 17:15 hgbot Checkin
2013-03-07 17:15 hgbot Note Added: 0057146
2013-03-07 17:15 hgbot Status new => resolved
2013-03-07 17:15 hgbot Resolution open => fixed
2013-03-07 17:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/705f1d9ec836cdb8641249899a3b9266cf45b881 [^]
2013-03-08 20:21 guilleaer Note Added: 0057164
2013-03-08 20:21 guilleaer Status resolved => new
2013-03-08 20:21 guilleaer Resolution fixed => open
2013-03-08 20:22 guilleaer Assigned To marvintm => migueldejuana
2013-03-11 10:59 hgbot Checkin
2013-03-11 10:59 hgbot Note Added: 0057173
2013-03-12 13:01 migueldejuana Status new => scheduled
2013-03-12 13:01 migueldejuana fix_in_branch => pi
2013-03-12 13:01 migueldejuana Status scheduled => resolved
2013-03-12 13:01 migueldejuana Fixed in Version => RMP21
2013-03-12 13:01 migueldejuana Resolution open => fixed
2013-03-18 09:37 hgbot Checkin
2013-03-18 09:37 hgbot Note Added: 0057287
2013-03-18 10:01 guilleaer Review Assigned To => guilleaer
2013-03-18 10:01 guilleaer Note Added: 0057289
2013-03-18 10:01 guilleaer Status resolved => closed
2013-04-02 20:11 hgbot Checkin
2013-04-02 20:11 hgbot Note Added: 0057673
2013-04-02 20:11 hgbot Status closed => resolved
2013-04-02 20:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/705f1d9ec836cdb8641249899a3b9266cf45b881 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/705f1d9ec836cdb8641249899a3b9266cf45b881 [^]
2013-04-02 20:11 hgbot Checkin
2013-04-02 20:11 hgbot Note Added: 0057676
2013-04-02 20:12 hgbot Checkin
2013-04-02 20:12 hgbot Note Added: 0057685
2013-04-03 12:52 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker